%global git_date  20221125
%global git_hash  c4d8d36
%global git_ver  0.7.1.1

%global rel  18
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:           nwg-launchers
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:        GTK-based launchers for sway and other window managers

License:        GPLv3+
URL:            https://github.com/nwg-piotr/%{name}
Source:	%{url}/%{src_name}

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  meson

BuildRequires:  cmake(nlohmann_json)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gtk-layer-shell-0) >= 0.5.0
BuildRequires:  pkgconfig(gtkmm-3.0)

# Gdk-pixbuf loader for svg icons
Requires:       librsvg2%{?_isa}

%description
GTK-based launchers: application grid, button bar, menu, dmenu
for sway and other window managers.
The project priorities are:
 - it must work well on sway;
 - it should work as well as possible on Wayfire, i3, dwm and Openbox.


%prep
%autosetup -n %{name}


%build
%meson
%meson_build


%install
%meson_install


# This set of application launchers is written for minimalistic keyboard-oriented
# environments and is not intended to be used with major DEs such as GNOME or KDE.
# Therefore, upstream does not provide .desktop files and we're not generating
# them downstream
%files
%license LICENSE
##%%doc README.md
%doc examples/nwgbar
%{_bindir}/nwgbar
%{_bindir}/nwgdmenu
%{_bindir}/nwggrid
%{_bindir}/nwggrid-server
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/icon-missing.{png,svg}
%{_datadir}/%{name}/nwgbar/
%{_datadir}/%{name}/nwgdmenu/
%{_datadir}/%{name}/nwggrid/
##%%{_datadir}/%{name}/README.md

%changelog
%autochangelog
